{% extends "navbarAdmin.html" %}
{% load static %}
{% block content %}
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>QR Code Scanner</title>
</head>
<body>
	<div class="container" style="text-align: center">
		<h1> SCAN QR CODE </h1>

		<div class="row" style="margin-left: 10vw; margin-bottom: 2vw; margin-top: 10vw;">
			<button id="scan" class="btn btn-success btn-sm">start scaning</button>
			<button id="stop" class="btn btn-warning btn-sm disabled">stop scanning</button>
			<button id="change" class="btn btn-warning btn-sm disabled">change camera</button>
		</div>
		<div class="row" style="margin-bottom: 5vw;">
			<div class="col-md-12">
				<code>Start Scanning</code><br><span class="feedback"></span>
			</div>
		</div>

		<div id="qr" style="display: inline-block; border: 1px solid silver"></div>
	</div>
	<!-- <div class="card mb-3">
        <div class="card-header">
          <i class="fa fa-table"></i> Kedatangan</div>
        <div class="card-body">
         <div class="container-refresh">
          <button id="refresh" onclick="refreshTableArival()"><i class="fa fa-refresh"></i> Refresh</button></div>
          <hr>
          <div class="table-responsive">
            <table class="table table-bordered" id="aribaTable" width="100%" cellspacing="0">
              <thead>
                <tr>
                  <th>Nomor Peserta</th>
                  <th>Nama</th>
                  <th>Email</th>
                </tr>
              </thead>
              <tfoot>
                <tr>
                  <th>Nomor Peserta</th>
                  <th>Nama</th>
                  <th>Email</th>
                </tr>
              </tfoot>
              <tbody>
                {% for registrant in registrant %}
                	{% if registrant.arival %}
	                  <tr>
	                    <td>{{ registrant.idPeserta }}</td>
	                    <td>{{ registrant.namaDepan }} {{ registrant.namaBelakang }}</td>
	                    <td>{{ registrant.email }}</td>
	                  </tr>
	                {% else %}
	                {% endif %}
                {% endfor %}  
              </tbody>
            </table>
          </div>
        </div>
      </div> -->
</body>

<script src="{% static 'js/qrcode/jsqrcode-combined.js' %}"></script>
<script src="{% static 'js/qrcode/html5-qrcode.js' %}"></script>
<script>
function refreshTableArival() {
    $("#aribaTable").load(" #aribaTable > *");
    return false;
}

$(document).ready(function() {
	var flag = function(ticket_id) {
		var src = "{% static 'audio/beep.mp3' %}";
		var audio = new Audio(src);
		$.ajax({
	     	method: "POST",
	     	url: "{% url 'qr_admin:flag' %}",
	     	data: {
	     		'ticketId': ticket_id
	     	},
	     	success: function(data) {
	     		audio.play();
				if (data.redeemed) {
					$(".feedback").html('Ticket: ' + ticket_id + ' has been redeemed!');
				}
				else {
					$(".feedback").html('Sucess redeem Ticket: ' + ticket_id);
				}
	     	},
	     	error: function(error) {
	     		alert("An error occured");
	     		console.log(error);
	     	}
	     })
	}


	$("#scan").on('click', function() {
		$("code").html('Scanning');
		$('#qr').html5_qrcode(function(ticket_id){
		         $.ajax({
		         	method: "POST",
		         	url: "{% url 'qr_admin:validate' %}",
		         	data: {
		         		'ticketId': ticket_id
		         	},
		         	success: function(ticket) {
		         		if (ticket.exists) {
		         			flag(ticket_id);
		         		}
		         		else {
		         			alert("Invalid Ticket Id");
		         		}
		         	},
		         	error: function(error) {
		         		alert("An error occured");
		         		console.log(error);
		         	}
		         })
		    },
		    function(error){
		        //show read errors
		    }, function(videoError){
		        //the video stream could be opened
		    }
		);
		$("#scan").addClass('disabled');
		$("#stop").removeClass('disabled');
		$("#change").removeClass('disabled');
	});
	$("#stop").on('click', function() {
		$("#qr").html5_qrcode_stop();
		$("code").html('Start Scanning');
		$("#scan").removeClass('disabled');
		$("#stop").addClass('disabled');
		$("#change").addClass('disabled');
	});
	$("#change").on('click', function() {
		$("#qr").html5_qrcode_changeCamera();
		$("#scan").addClass('disabled');
		$("#stop").removeClass('disabled');
	});
});
	
</script>
{% endblock %}